com.microfocus.awm.meta.impl

## Class RToolInParameterImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.DynamicObjectImpl
          - - com.microfocus.awm.meta.impl.RToolParameterImpl
            - - com.microfocus.awm.meta.impl.RToolInParameterImpl

- All Implemented Interfaces:
    AWMObject, DynamicObject, IFunctionPackageDefinable, RToolInParameter, RToolParameter, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject
  Direct Known Subclasses:
    RToolInParameterUnresolved

      public class RToolInParameterImpl
      extends RToolParameterImpl
      implements RToolInParameter

  An implementation of the model object 'RTool In Parameter'.

  The following features are implemented:

  - `Default Value`
  - `Parameter From`
  - `Static Value`
  - `Parameter Visible Condition`
  - `Parameter Enabled Condition`
  - `Ui Editable`
  - `Ui Form`
  - `Ui Generic Allowed`
  - `Ui Help Text`
  - `Ui Mandatory`
  - `Ui Multi Selection`
  - `Ui Tab`
  - `Ui Tool Tip`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetParameterEnabledCondition(REnabledCondition newParameterEnabledCondition, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetParameterVisibleCondition(RVisibleCondition newParameterVisibleCondition, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `java.lang.String` | `getDefaultValue()`
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or the Name, if the Label wasn't set.
    `REnabledCondition` | `getParameterEnabledCondition()`
    `EParmFromTypes` | `getParameterFrom()`
    `RVisibleCondition` | `getParameterVisibleCondition()`
    `java.lang.String` | `getStaticValue()`
    `java.lang.String` | `getUiForm()`
    `java.lang.String` | `getUiHelpText()`
    `java.lang.String` | `getUiTab()`
    `java.lang.String` | `getUiToolTip()`
    `boolean` | `isRemoved()` Gets whether the `REMOVE` flag is set.
    `boolean` | `isSetParameterFrom()`
    `boolean` | `isSetUiEditable()`
    `boolean` | `isSetUiGenericAllowed()`
    `boolean` | `isSetUiMandatory()`
    `boolean` | `isSetUiMultiSelection()`
    `boolean` | `isUiEditable()`
    `boolean` | `isUiGenericAllowed()`
    `boolean` | `isUiMandatory()`
    `boolean` | `isUiMultiSelection()`
    `void` | `setDefaultValue(java.lang.String newDefaultValue)`
    `void` | `setParameterEnabledCondition(REnabledCondition newParameterEnabledCondition)`
    `void` | `setParameterFrom(EParmFromTypes newParameterFrom)`
    `void` | `setParameterVisibleCondition(RVisibleCondition newParameterVisibleCondition)`
    `void` | `setRemoveParm(boolean pRemove)` Sets the `REMOVE` flag of the parameter.
    `void` | `setStaticValue(java.lang.String newStaticValue)`
    `void` | `setUiEditable(boolean newUiEditable)`
    `void` | `setUiForm(java.lang.String newUiForm)`
    `void` | `setUiGenericAllowed(boolean newUiGenericAllowed)`
    `void` | `setUiHelpText(java.lang.String newUiHelpText)`
    `void` | `setUiMandatory(boolean newUiMandatory)`
    `void` | `setUiMultiSelection(boolean newUiMultiSelection)`
    `void` | `setUiTab(java.lang.String newUiTab)`
    `void` | `setUiToolTip(java.lang.String newUiToolTip)`
    `java.lang.String` | `toString()`
    `void` | `unsetParameterFrom()`
    `void` | `unsetUiEditable()`
    `void` | `unsetUiGenericAllowed()`
    `void` | `unsetUiMandatory()`
    `void` | `unsetUiMultiSelection()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.RToolParameterImpl

      `basicGetTargetIDFile, basicGetTargetIDParm, eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getComplexAttribute, getExtensionID, getLabel, getParsedCategory, getSeqNo, getTargetIDFile, getTargetIDParm, getType, getUiCategory, isMassProcessing, isSetSeqNo, isSetType, isSetUiResizable, isUiResizable, setExtensionID, setLabel, setMassProcessing, setSeqNo, setTargetIDFile, setTargetIDParm, setType, setUiCategory, setUiResizable, unsetSeqNo, unsetType, unsetUiResizable`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.DynamicObjectImpl

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.RToolParameter

      `getComplexAttribute, getLabel, getParsedCategory, getSeqNo, getTargetIDFile, getTargetIDParm, getType, getUiCategory, isMassProcessing, isSetSeqNo, isSetType, isSetUiResizable, isUiResizable, setLabel, setMassProcessing, setSeqNo, setTargetIDFile, setTargetIDParm, setType, setUiCategory, setUiResizable, unsetSeqNo, unsetType, unsetUiResizable`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.DynamicObject

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Specified by:
        `getDefaultValue` in interface `RToolInParameter`
      Returns:
        the value of the 'Default Value' attribute.
      See Also:
        `RToolInParameter.setDefaultValue(String)`, `TaurusPackage.getRToolInParameter_DefaultValue()`

    - #### setDefaultValue

          public void setDefaultValue(java.lang.String newDefaultValue)

      Specified by:
        `setDefaultValue` in interface `RToolInParameter`
      Parameters:
        `newDefaultValue` - the new value of the 'Default Value' attribute.
      See Also:
        `RToolInParameter.getDefaultValue()`

    - #### getParameterFrom

          public EParmFromTypes getParameterFrom()

      Specified by:
        `getParameterFrom` in interface `RToolInParameter`
      Returns:
        the value of the 'Parameter From' attribute.
      See Also:
        `EParmFromTypes`, `RToolInParameter.isSetParameterFrom()`, `RToolInParameter.unsetParameterFrom()`, `RToolInParameter.setParameterFrom(EParmFromTypes)`, `TaurusPackage.getRToolInParameter_ParameterFrom()`

    - #### setParameterFrom

          public void setParameterFrom(EParmFromTypes newParameterFrom)

      Specified by:
        `setParameterFrom` in interface `RToolInParameter`
      Parameters:
        `newParameterFrom` - the new value of the 'Parameter From' attribute.
      See Also:
        `EParmFromTypes`, `RToolInParameter.isSetParameterFrom()`, `RToolInParameter.unsetParameterFrom()`, `RToolInParameter.getParameterFrom()`

    - #### unsetParameterFrom

          public void unsetParameterFrom()

      Specified by:
        `unsetParameterFrom` in interface `RToolInParameter`
      See Also:
        `RToolInParameter.isSetParameterFrom()`, `RToolInParameter.getParameterFrom()`, `RToolInParameter.setParameterFrom(EParmFromTypes)`

    - #### isSetParameterFrom

          public boolean isSetParameterFrom()

      Specified by:
        `isSetParameterFrom` in interface `RToolInParameter`
      Returns:
        whether the value of the 'Parameter From' attribute is set.
      See Also:
        `RToolInParameter.unsetParameterFrom()`, `RToolInParameter.getParameterFrom()`, `RToolInParameter.setParameterFrom(EParmFromTypes)`

    - #### getStaticValue

          public java.lang.String getStaticValue()

      Specified by:
        `getStaticValue` in interface `RToolInParameter`
      Returns:
        the value of the 'Static Value' attribute.
      See Also:
        `RToolInParameter.setStaticValue(String)`, `TaurusPackage.getRToolInParameter_StaticValue()`

    - #### setStaticValue

          public void setStaticValue(java.lang.String newStaticValue)

      Specified by:
        `setStaticValue` in interface `RToolInParameter`
      Parameters:
        `newStaticValue` - the new value of the 'Static Value' attribute.
      See Also:
        `RToolInParameter.getStaticValue()`

    - #### getParameterVisibleCondition

          public RVisibleCondition getParameterVisibleCondition()

      Specified by:
        `getParameterVisibleCondition` in interface `RToolInParameter`
      Returns:
        the value of the 'Parameter Visible Condition' containment reference.
      See Also:
        `RToolInParameter.setParameterVisibleCondition(RVisibleCondition)`, `TaurusPackage.getRToolInParameter_ParameterVisibleCondition()`

    - #### basicSetParameterVisibleCondition

          public org.eclipse.emf.common.notify.NotificationChain basicSetParameterVisibleCondition(RVisibleCondition newParameterVisibleCondition,
                                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setParameterVisibleCondition

          public void setParameterVisibleCondition(RVisibleCondition newParameterVisibleCondition)

      Specified by:
        `setParameterVisibleCondition` in interface `RToolInParameter`
      Parameters:
        `newParameterVisibleCondition` - the new value of the 'Parameter Visible Condition' containment reference.
      See Also:
        `RToolInParameter.getParameterVisibleCondition()`

    - #### getParameterEnabledCondition

          public REnabledCondition getParameterEnabledCondition()

      Specified by:
        `getParameterEnabledCondition` in interface `RToolInParameter`
      Returns:
        the value of the 'Parameter Enabled Condition' containment reference.
      See Also:
        `RToolInParameter.setParameterEnabledCondition(REnabledCondition)`, `TaurusPackage.getRToolInParameter_ParameterEnabledCondition()`

    - #### basicSetParameterEnabledCondition

          public org.eclipse.emf.common.notify.NotificationChain basicSetParameterEnabledCondition(REnabledCondition newParameterEnabledCondition,
                                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

    - #### setParameterEnabledCondition

          public void setParameterEnabledCondition(REnabledCondition newParameterEnabledCondition)

      Specified by:
        `setParameterEnabledCondition` in interface `RToolInParameter`
      Parameters:
        `newParameterEnabledCondition` - the new value of the 'Parameter Enabled Condition' containment reference.
      See Also:
        `RToolInParameter.getParameterEnabledCondition()`

    - #### isUiEditable

          public boolean isUiEditable()

      Specified by:
        `isUiEditable` in interface `RToolInParameter`
      Returns:
        the value of the 'Ui Editable' attribute.
      See Also:
        `RToolInParameter.isSetUiEditable()`, `RToolInParameter.unsetUiEditable()`, `RToolInParameter.setUiEditable(boolean)`, `TaurusPackage.getRToolInParameter_UiEditable()`

    - #### setUiEditable

          public void setUiEditable(boolean newUiEditable)

      Specified by:
        `setUiEditable` in interface `RToolInParameter`
      Parameters:
        `newUiEditable` - the new value of the 'Ui Editable' attribute.
      See Also:
        `RToolInParameter.isSetUiEditable()`, `RToolInParameter.unsetUiEditable()`, `RToolInParameter.isUiEditable()`

    - #### unsetUiEditable

          public void unsetUiEditable()

      Specified by:
        `unsetUiEditable` in interface `RToolInParameter`
      See Also:
        `RToolInParameter.isSetUiEditable()`, `RToolInParameter.isUiEditable()`, `RToolInParameter.setUiEditable(boolean)`

    - #### isSetUiEditable

          public boolean isSetUiEditable()

      Specified by:
        `isSetUiEditable` in interface `RToolInParameter`
      Returns:
        whether the value of the 'Ui Editable' attribute is set.
      See Also:
        `RToolInParameter.unsetUiEditable()`, `RToolInParameter.isUiEditable()`, `RToolInParameter.setUiEditable(boolean)`

    - #### getUiForm

          public java.lang.String getUiForm()

      Specified by:
        `getUiForm` in interface `RToolInParameter`
      Returns:
        the value of the 'Ui Form' attribute.
      See Also:
        `RToolInParameter.setUiForm(String)`, `TaurusPackage.getRToolInParameter_UiForm()`

    - #### setUiForm

          public void setUiForm(java.lang.String newUiForm)

      Specified by:
        `setUiForm` in interface `RToolInParameter`
      Parameters:
        `newUiForm` - the new value of the 'Ui Form' attribute.
      See Also:
        `RToolInParameter.getUiForm()`

    - #### isUiGenericAllowed

          public boolean isUiGenericAllowed()

      Specified by:
        `isUiGenericAllowed` in interface `RToolInParameter`
      Returns:
        the value of the 'Ui Generic Allowed' attribute.
      See Also:
        `RToolInParameter.isSetUiGenericAllowed()`, `RToolInParameter.unsetUiGenericAllowed()`, `RToolInParameter.setUiGenericAllowed(boolean)`, `TaurusPackage.getRToolInParameter_UiGenericAllowed()`

    - #### setUiGenericAllowed

          public void setUiGenericAllowed(boolean newUiGenericAllowed)

      Specified by:
        `setUiGenericAllowed` in interface `RToolInParameter`
      Parameters:
        `newUiGenericAllowed` - the new value of the 'Ui Generic Allowed' attribute.
      See Also:
        `RToolInParameter.isSetUiGenericAllowed()`, `RToolInParameter.unsetUiGenericAllowed()`, `RToolInParameter.isUiGenericAllowed()`

    - #### unsetUiGenericAllowed

          public void unsetUiGenericAllowed()

      Specified by:
        `unsetUiGenericAllowed` in interface `RToolInParameter`
      See Also:
        `RToolInParameter.isSetUiGenericAllowed()`, `RToolInParameter.isUiGenericAllowed()`, `RToolInParameter.setUiGenericAllowed(boolean)`

    - #### isSetUiGenericAllowed

          public boolean isSetUiGenericAllowed()

      Specified by:
        `isSetUiGenericAllowed` in interface `RToolInParameter`
      Returns:
        whether the value of the 'Ui Generic Allowed' attribute is set.
      See Also:
        `RToolInParameter.unsetUiGenericAllowed()`, `RToolInParameter.isUiGenericAllowed()`, `RToolInParameter.setUiGenericAllowed(boolean)`

    - #### getUiHelpText

          public java.lang.String getUiHelpText()

      Specified by:
        `getUiHelpText` in interface `RToolInParameter`
      Returns:
        the value of the 'Ui Help Text' attribute.
      See Also:
        `RToolInParameter.setUiHelpText(String)`, `TaurusPackage.getRToolInParameter_UiHelpText()`

    - #### setUiHelpText

          public void setUiHelpText(java.lang.String newUiHelpText)

      Specified by:
        `setUiHelpText` in interface `RToolInParameter`
      Parameters:
        `newUiHelpText` - the new value of the 'Ui Help Text' attribute.
      See Also:
        `RToolInParameter.getUiHelpText()`

    - #### isUiMandatory

          public boolean isUiMandatory()

      Specified by:
        `isUiMandatory` in interface `RToolInParameter`
      Returns:
        the value of the 'Ui Mandatory' attribute.
      See Also:
        `RToolInParameter.isSetUiMandatory()`, `RToolInParameter.unsetUiMandatory()`, `RToolInParameter.setUiMandatory(boolean)`, `TaurusPackage.getRToolInParameter_UiMandatory()`

    - #### setUiMandatory

          public void setUiMandatory(boolean newUiMandatory)

      Specified by:
        `setUiMandatory` in interface `RToolInParameter`
      Parameters:
        `newUiMandatory` - the new value of the 'Ui Mandatory' attribute.
      See Also:
        `RToolInParameter.isSetUiMandatory()`, `RToolInParameter.unsetUiMandatory()`, `RToolInParameter.isUiMandatory()`

    - #### unsetUiMandatory

          public void unsetUiMandatory()

      Specified by:
        `unsetUiMandatory` in interface `RToolInParameter`
      See Also:
        `RToolInParameter.isSetUiMandatory()`, `RToolInParameter.isUiMandatory()`, `RToolInParameter.setUiMandatory(boolean)`

    - #### isSetUiMandatory

          public boolean isSetUiMandatory()

      Specified by:
        `isSetUiMandatory` in interface `RToolInParameter`
      Returns:
        whether the value of the 'Ui Mandatory' attribute is set.
      See Also:
        `RToolInParameter.unsetUiMandatory()`, `RToolInParameter.isUiMandatory()`, `RToolInParameter.setUiMandatory(boolean)`

    - #### isUiMultiSelection

          public boolean isUiMultiSelection()

      Specified by:
        `isUiMultiSelection` in interface `RToolInParameter`
      Returns:
        the value of the 'Ui Multi Selection' attribute.
      See Also:
        `RToolInParameter.isSetUiMultiSelection()`, `RToolInParameter.unsetUiMultiSelection()`, `RToolInParameter.setUiMultiSelection(boolean)`, `TaurusPackage.getRToolInParameter_UiMultiSelection()`

    - #### setUiMultiSelection

          public void setUiMultiSelection(boolean newUiMultiSelection)

      Specified by:
        `setUiMultiSelection` in interface `RToolInParameter`
      Parameters:
        `newUiMultiSelection` - the new value of the 'Ui Multi Selection' attribute.
      See Also:
        `RToolInParameter.isSetUiMultiSelection()`, `RToolInParameter.unsetUiMultiSelection()`, `RToolInParameter.isUiMultiSelection()`

    - #### unsetUiMultiSelection

          public void unsetUiMultiSelection()

      Specified by:
        `unsetUiMultiSelection` in interface `RToolInParameter`
      See Also:
        `RToolInParameter.isSetUiMultiSelection()`, `RToolInParameter.isUiMultiSelection()`, `RToolInParameter.setUiMultiSelection(boolean)`

    - #### isSetUiMultiSelection

          public boolean isSetUiMultiSelection()

      Specified by:
        `isSetUiMultiSelection` in interface `RToolInParameter`
      Returns:
        whether the value of the 'Ui Multi Selection' attribute is set.
      See Also:
        `RToolInParameter.unsetUiMultiSelection()`, `RToolInParameter.isUiMultiSelection()`, `RToolInParameter.setUiMultiSelection(boolean)`

    - #### getUiTab

          public java.lang.String getUiTab()

      Specified by:
        `getUiTab` in interface `RToolInParameter`
      Returns:
        the value of the 'Ui Tab' attribute.
      See Also:
        `RToolInParameter.setUiTab(String)`, `TaurusPackage.getRToolInParameter_UiTab()`

    - #### setUiTab

          public void setUiTab(java.lang.String newUiTab)

      Specified by:
        `setUiTab` in interface `RToolInParameter`
      Parameters:
        `newUiTab` - the new value of the 'Ui Tab' attribute.
      See Also:
        `RToolInParameter.getUiTab()`

    - #### getUiToolTip

          public java.lang.String getUiToolTip()

      Specified by:
        `getUiToolTip` in interface `RToolInParameter`
      Returns:
        the value of the 'Ui Tool Tip' attribute.
      See Also:
        `RToolInParameter.setUiToolTip(String)`, `TaurusPackage.getRToolInParameter_UiToolTip()`

    - #### setUiToolTip

          public void setUiToolTip(java.lang.String newUiToolTip)

      Specified by:
        `setUiToolTip` in interface `RToolInParameter`
      Parameters:
        `newUiToolTip` - the new value of the 'Ui Tool Tip' attribute.
      See Also:
        `RToolInParameter.getUiToolTip()`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `RToolParameterImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `RToolParameterImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `RToolParameterImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `RToolParameterImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `RToolParameterImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `RToolParameterImpl`

    - #### getLabelFromHierarchy

          public java.lang.String getLabelFromHierarchy()

      Description copied from interface: `RToolInParameter`
      Returns the Label or the Name, if the Label wasn't set.
      Specified by:
        `getLabelFromHierarchy` in interface `RToolInParameter`
      Returns:
        the parameter label

    - #### setRemoveParm

          public void setRemoveParm(boolean pRemove)

      Description copied from interface: `RToolInParameter`
      Sets the `REMOVE` flag of the parameter. Parameters with the remove flag set to `true` will be handled differently by corresponding tools, usually causing the parameter value to be empty.
      Specified by:
        `setRemoveParm` in interface `RToolInParameter`
      Parameters:
        `pRemove` - the new `REMOVE` flag
      See Also:
        `RToolInParameter.isRemoved()`

    - #### isRemoved

          public boolean isRemoved()

      Description copied from interface: `RToolInParameter`
      Gets whether the `REMOVE` flag is set. Parameters with the remove flag set to `true` will be handled differently by corresponding tools, usually causing the parameter value to be empty.
      Specified by:
        `isRemoved` in interface `RToolInParameter`
      Returns:
        the `REMOVE` flag.
      See Also:
        `RToolInParameter.setRemoveParm(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.